### Function

# Secret password_lookup_binary_finish

#### Declaration [src]

    SecretValue*
    secret_password_lookup_binary_finish (
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finish an asynchronous operation to lookup a password in the secret service.

Available since: | 0.19.0
This function is not directly available to language bindings

#### Parameters

`result` | `GAsyncResult`
| The asynchronous result passed to the callback.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `SecretValue`
| A newly allocated `SecretValue`, which should be released with `secret_value_unref()`, or `NULL` if no secret found.
| The caller of the function takes ownership of the data, and is responsible for freeing it.